Chelabase
ManagementRoles

Reset a role's password

POST
/v1/databases/{id}/branches/{branch_id}/roles/{role}/reset-password

Generates a new password for the role. The owner's name resets the owner password, like the branch's reset-password. Read the new password with the connection details and role.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Database id

Formatuuid
branch_id*string

Branch id

Formatuuid
role*string

Role name; the owner's name resets the owner password

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/databases/497f6eca-6276-4993-bfeb-53cbbbba6f08/branches/497f6eca-6276-4993-bfeb-53cbbbba6f08/roles/string/reset-password"
Empty